Subject: bug#34127: 26.1.91; Redisplay issues with tramp

From: Tim Blackman <[email-masked]>
Date: Wed, 23 Jan 2019 08:42:35 -0500

On Jan 23, 2019, at 8:39 AM, Michael Albinus <[email-masked]> wrote:

>> I did:
>> 
>>  C-x C-f /scp:slc:<RET>
>> 
>> The message area displayed:
>> 
>>  File not found and directory write-protected
>> 
>> The buffer showing was named "scp:slc:", so it seemed to think I was
>> talking about a local file. That's why I was wondering if there was a
>> syntax change.
>> 
>> Note that when I type C-x C-f in the pretest version, the default
>> directory is "~/", but it is "/" in the nightly. Not sure if that is
>> significant. Sorry we are getting into what seems like some sort of
>> unrelated confusion.
> 
> I propose you write another bug report about. Best with proper Tramp
> traces; pls apply (setq tramp-verbose 6) prior opening the remote
> file. There will be a Tramp debug buffer, which shall tell us what's up.

OK, will do.

>> I was able to reproduce the redisplay problem with the nightly version
>> of Emacs when I didn't use -Q, so my guess is that there is something
>> wonky (and unrelated) going on at startup.
> 
> This shall be handled here.

Thanks to both of you for your help with this!

- Tim